Bug 4904 - IRC Chat does not adjust font colors for all text after a theme change
: IRC Chat does not adjust font colors for all text after a theme change
Status: RESOLVED WONTFIX
Product: Chat & Call & SMS
Messaging
: 4.1.3 (5.2008.43-7)
: All Windows
: Low minor (vote)
: ---
Assigned To: rtcomm@maemo.org
: im-chat-bugs
:
:
: 5139
:
  Show dependency tree
 
Reported: 2009-08-11 21:24 UTC by Jason Carter
Modified: 2010-03-11 16:01 UTC (History)
1 user (show)

See Also:


Attachments
after switch (103.19 KB, image/png)
2009-08-12 01:57 UTC, Jason Carter
Details
after switching back (105.02 KB, image/png)
2009-08-12 02:00 UTC, Jason Carter
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Jason Carter (reporter) 2009-08-11 21:24:09 UTC
SOFTWARE VERSION: 5.2008.43-7
(Control Panel > General > About product)

STEPS TO REPRODUCE THE PROBLEM:
1) Download and install the Meta theme to your tablet from Extras.
2) Install RTCOMM and reboot.
3) Select one of the standard themes on the tablet and apply it, such as Echo.
4) Join a chatroom through IRC (idle plugin), preferably one that is relatively
live.
5) Notice the colors of the various events in the chatroom (such as green for
channel join/part messages).
6) Switch theme to Meta.
7) Go back to the chatroom and watch as new events come up.

EXPECTED OUTCOME: Text color adjustments made to compensate for the new theme
colors should be applied to ALL chatroom text.

ACTUAL OUTCOME: Text color adjustments are only made to new events made since
the theme was applied, leaving all text from before the theme switch in the old
colors. This causes some events to be difficult or impossible to read,
depending on what themes you are switching to/from.

REPRODUCIBILITY: Always
(always/sometimes/once)

EXTRA SOFTWARE INSTALLED: RTCOMM, Meta theme

OTHER COMMENTS: I realize that this is probably too late for Fremantle and that
the IRC plugin will not be included with Fremantle, but I wanted to document
this bug and hopefully get it fixed in Mer.

User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.2;
.NET CLR 3.5; ffco7) Gecko/2008090514 Firefox/3.0.2
Comment 1 Jason Carter (reporter) 2009-08-12 01:57:32 UTC
Created an attachment (id=1302) [details]
after switch
Comment 2 Jason Carter (reporter) 2009-08-12 02:00:22 UTC
Created an attachment (id=1303) [details]
after switching back
Comment 3 Jason Carter (reporter) 2009-08-12 02:18:23 UTC
A small explanation is in order for these attachments.

"After switch" takes place at about step 7 of my reproduction steps, switching
to the Meta theme and watching the text differences.

"After switching back" is what you'd see after you switched back from Meta to
Echo, again noticing the color differences in the text.
Comment 4 Andre Klapper maemo.org 2010-03-11 16:01:10 UTC
This is a WONTFIX for Maemo4.
If bug 5139 for Maemo5 gets solved in the future and if the problem reporterd
here will be still an issue in Maemo5 after fixing bug 5139, please update this
report (steps, Version field) and reopen it. Thanks.